Skip to content

Searches for organizations using predefined parameters

Request

Searches for organizations using predefined parameters

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
exclusiveStartKeystring

The start key for the search, for paging support

fieldsToReturnstring

The fields that you want to retrieve; if omitted, the entire object is returned

Bodyapplication/jsonrequired

The organization that you would like to be saved.

citystring(City)

City to search

domain_namestring(Domain Name)

The domain name

idsArray of strings(Ids)

IDs to search

namestring(Name)

The name

numberArray of numbers, (float)(Number)
statestring(State)

The state

statusArray of strings(Status)
type_idstring(Type)
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/organizations/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "city": "string",
    "domain_name": "string",
    "ids": [
      "string"
    ],
    "name": "string",
    "number": [
      0.1
    ],
    "state": "string",
    "status": [
      "string"
    ],
    "type_id": "string"
  }'

Responses

The organization search was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
ItemsArray of objects(OrganizationSearchResults)
LastEvaluatedKeystring
Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }